﻿using System.Collections.Generic;
using Ato.EN.IntegrationServices.CodeGenerationCGTS;
using Ato.EN.IntegrationServices.CodeGenerationDDCTNS;
using Ato.EN.IntegrationServices.CodeGenerationNRFI;
using Ato.EN.IntegrationServices.CodeGenerationPSS;
using Ato.EN.IntegrationServices.CodeGenerationRNTLPRPTY;
using Ato.EN.IntegrationServices.CodeGenerationRS;
using Ato.EN.IntegrationServices.CodeGenerationWRE;

namespace Ato.EN.IntegrationServices.CodeGenerationIITR
{
    public class IITR2019Crossform
    {
        // IITR Parent Document
        public IITR2019 iitrParentDocument = null;

        // CGTS Child Documents
        public List<CGTS2018> cgtsChildDocuments = null;

        // DDCTNS Child Documents
        public List<DDCTNS2019> ddctnsChildDocuments = null;

        // NRFI Child Documents
        public List<NRFI2018> nrfiChildDocuments = null;

        // PSS Child Documents
        public List<PSS2018> pssChildDocuments = null;

        // RNTLPRPTY Child Documents
        public List<RNTLPRPTY2019> rntlprptyChildDocuments = null;

        // RS Child Documents
        public List<RS2018> rsChildDocuments = null;

        // WRE Child Documents
        public List<WRE2017> wreChildDocuments = null;
    }
}